CFError Reference

## Detailed Description

## Typedefs

typedef const struct __CFError * | CFErrorRef

## Variables

const CFStringRef | kCFErrorDomainPOSIX
const CFStringRef | kCFErrorDomainOSStatus
const CFStringRef | kCFErrorDomainMach
const CFStringRef | kCFErrorDomainCocoa
const CFStringRef | kCFErrorLocalizedDescriptionKey
const CFStringRef | kCFErrorLocalizedFailureReasonKey
const CFStringRef | kCFErrorLocalizedRecoverySuggestionKey
const CFStringRef | kCFErrorDescriptionKey
const CFStringRef | kCFErrorUnderlyingErrorKey

## Creating a CFError

CFErrorRef | CFErrorCreate (CFAllocatorRef allocator, CFStringRef domain, CFIndex code, CFDictionaryRef userInfo)
CFErrorRef | CFErrorCreateWithUserInfoKeysAndValues (CFAllocatorRef allocator, CFStringRef domain, CFIndex code, const void *const *userInfoKeys, const void *const *userInfoValues, CFIndex numUserInfoValues)

## Getting Information About an Error

CFStringRef | CFErrorGetDomain (CFErrorRef err)
CFIndex | CFErrorGetCode (CFErrorRef err)
CFDictionaryRef | CFErrorCopyUserInfo (CFErrorRef err)
CFStringRef | CFErrorCopyDescription (CFErrorRef err)
CFStringRef | CFErrorCopyFailureReason (CFErrorRef err)
CFStringRef | CFErrorCopyRecoverySuggestion (CFErrorRef err)

## Getting the CFError Type ID

CFTypeID | CFErrorGetTypeID (void)